-- TABELLA CONTATTI
CREATE TABLE "AddressBook" (
    "idrub"        serial                                             ,
    "Nominativo"   varchar(200) NOT NULL                              ,
    "N_fax"        varchar(20)                                        ,
    "nickname"     varchar(100)                                       ,
    "utente"       varchar(100) NOT NULL                              ,
    "Referente"    varchar(200)                                       ,
    "N_tel"        varchar(20)                                        ,
    "Cellulare"    varchar(30)                                        ,
    "Note_addr"    text                                               ,
    "Indirizzo"    text                                               ,
    "N_civico"     varchar(10)                                        ,
    "Email"        text                                               ,
    "Comune"       text                                               ,
    "CAP"          text                                               ,
    "Provincia"    text                                               ,
    "Nazione"      text                                               ,
    "PIVA"         varchar(20)                                        ,
    "CodFiscale"   varchar(20)                                        ,
    "SendPredefined"   smallint NOT NULL DEFAULT 1                    ,
    "syncr"        text                                               

);

-- TABELLA GRUPPI
CREATE TABLE "Group_AddressBook" (
    "group_id"            serial                                             ,
    "group_name"          varchar(200) NOT NULL                              ,
    "group_list_private"  text                                               ,
    "group_list_public"   text                                               ,
    "utente"              varchar(100) NOT NULL                              
);

-- TABELLA UTENTI (tipo == 2)
CREATE TABLE "Utenti" (
    "utente"               varchar(100) NOT NULL              ,
    "password"             varchar(100) NOT NULL              ,
    "exutente"             varchar(200)                       ,
    "tipo"                 smallint NOT NULL                  ,
    "Nome"                 text NOT NULL                      ,
    "Email"                text NOT NULL                      ,
    "Reparto"              text                               ,
    "Stabilimento"         text                               ,
    "Moderatore"           varchar(200) DEFAULT 'no modered'  ,
    "Tel_ufficio"          varchar(20)                        ,
    "Fax_ufficio"          varchar(20)                        ,
    "Modem"                varchar(40)                        ,
    "defaultprinter"       varchar(200)                       ,
    "Da_Email_a_Fax"       smallint                           ,
    "Fax2Email"            smallint                           ,
    "Ricerche_x_Reparto"   smallint                           ,
    "AbPublic"             int4                               ,
    "FaxOUT"               smallint                           ,
    "LastPrinterFaxOUT"    int4                               
);