<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/
/**
 * Module Header page
 *
 * @author Brian Peterson
 *
 * $Id: gpg_popup_header.php,v 1.1 2003/11/20 16:56:47 walter Exp $
 */
 
if (!defined (SM_PATH)){
    if (file_exists('./gpg_functions.php')){
        define (SM_PATH , '../../');
    } elseif (file_exists('../gpg_functions.php')){
        define (SM_PATH , '../../../');
    } elseif (file_exists('../plugins/gpg/gpg_functions.php')){
        define (SM_PATH , '../');
    } else echo "unable to define SM_PATH in gpg_module_header.php, exiting abnormally";
}

require_once(SM_PATH.'plugins/gpg/gpg_options_header.php');
require_once(SM_PATH . 'functions/global.php');
require_once(SM_PATH . 'functions/page_header.php');

sqgetGlobalVar('base_uri', $base_uri,     SQ_SESSION);

/*
 * Function for easily bailing out on malformed requests.
 *
 * @param strign $err   Error String
 * @return void
 *
 */
function gpg_bail($err) {
    echo '<tr height="1%">
                <td align="center" width="100%" colspan=2 class="nav">';
    echo '<font color=red>'
         . codeHTML(_("There was a problem with your request.")).'&nbsp;'
         . codeHTML(_("Please try again."))
         . '<p><pre>';
    echo $err;
    echo '</pre><p></font>';
    echo '</td></tr>';
}

displayHtmlHeader(_("Options - PGP/GPG"),'');

echo '<body>';

if (! isset($err)) $err = array();

echo '<table class="border" valign="top" width="100%" height="100%" cellpadding="2" cellspacing="0" border="0">';

?>