<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/**
 * addressbook.php
 *
 * Copyright (c) 1999-2003 The SquirrelMail Project Team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * Manage personal address book.
 *
 * $Id: take_contact.php,v 1.5 2004/05/31 14:18:32 marco Exp $
 */

/* Path for SquirrelMail required files. */
define('SM_PATH','../');

/* SquirrelMail required files. */
require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/global.php');
require_once(SM_PATH . 'functions/display_messages.php');
require_once(SM_PATH . 'functions/addressbook.php');
require_once(SM_PATH . 'functions/strings.php');
require_once(SM_PATH . 'functions/html.php');
require_once(SM_PATH . 'functions/forms.php');

sqgetGlobalVar('base_uri',  $base_uri,      SQ_SESSION);
sqgetGlobalVar('username',  $username,      SQ_SESSION);
sqgetGlobalVar('delimiter', $delimiter,     SQ_SESSION);
sqgetGlobalVar('sel',       $sel,           SQ_GET);

sqgetGlobalVar('sender',       	   $sender,           SQ_GET);
sqgetGlobalVar('sender_name',      $sender_name,           SQ_GET);

/************************************************
* View address                       		*
*************************************************/

$js = '<script language="javascript">
    var msgobligatory = "'.jsspecialchars(_("An obligatory field is missing!")).'";
    var msgnoemail = "'.jsspecialchars(_("E-mail address uncorrect!")).'";
    var msgnofax = "'.jsspecialchars(_("Fax number should be a number with digits from 0 to 9.")).'";
    var msgnotel = "'.jsspecialchars(_("Phone number should be a number with digits from 0 to 9.")).'";
    var msgnocel = "'.jsspecialchars(_("Cellular number should be a number with digits from 0 to 9.")).'";
    var msgnofcode = "'.jsspecialchars(_("Wrong Fiscal Code format.")).'";
    var msgnopiva = "'.jsspecialchars(_("Wrong VAT code format.")).'";
</script>';

displayHtmlHeader( _("Addressbook"), $js);    

echo '<body onload="self.focus();">';

echo '<script language="javascript" type="text/javascript" src="'.$base_uri.'js/ctrl_form.js"></script>';
echo '<script language="javascript" type="text/javascript" src="'.$base_uri.'js/edit_info_contact.js"></script>';

global $fieldarrayabook;
    echo addForm($base_uri.'src/addressbook.php', 'POST', 'f');
    echo addHidden('takeaddr', '1');
    echo addHidden('SendPredefined', '2');
    echo addHidden('syncr', '');
    echo '<table width="100%" height="100%" class="border" cellpadding=2 cellspacing=2 border=0>';
    foreach ($fieldarrayabook as $key => $label) {
	if ($key == "idrub" || $key == "SendPredefined" || $key == "syncr") { continue; }
	echo '<tr>';
	    if ($key == 'Nominativo') {
		echo '<td align="left" width="40%" class="nav">'.codeHTML(_($label['label'])).': (*)</td>';
	    } else {
		echo '<td align="left" width="40%" class="nav">'.codeHTML(_($label['label'])).':</td>';
	    }
	    echo '<td align="left" width="60%" class="nav">';
	    if ($key == 'Email' && $sender) {
		echo addInput($key, $sender);
	    } else if ($key == 'Nominativo' && $sender_name) {
		echo addInput($key, $sender_name);
	    } else {
		echo addInput($key);
	    }
	    echo '</td>';
	echo '</tr>';    
    }
    if (in_array($username,$global_abook_master)) {
	echo '<tr>';
    	    echo '<td align="left" width="40%" class="nav">'.codeHTML(_("Set as public")).':</td>';
    	    echo '<td align="left" width="60%" class="nav">';
		echo addCheckBox('newbackend', FALSE, 2,'onChange="AutomaticDisabledNickname()"');
    	    echo '</td>';
	echo '</tr>';    
    }
	echo '<tr>';
	    echo '<td align="left" colspan=2 class="navevidenced">
		    (*) '.codeHTML(_("Required fields")).'
		</td>';
	echo '</tr>';    
	echo '<tr height="1%">';
	    echo '<td align="center" colspan=2 class="nav">';
		echo addButton(_("Close"), '','','self.close();','','',1,1);
		echo '&nbsp;&nbsp;&nbsp;';
		echo addButton(_("Confirm"),'','','','f','OnSubmit(1)');
	    echo '</td>';
	echo '</tr>';    
    echo '</table>';
    echo '</form>';
echo "</BODY></HTML>\n";

?>